{ lib, pkgs, config, myconfig,  ... }:
let
  cfg = config.myServices.websites.denisejerome.production;
  varDir = "/var/lib/ftp/denisejerome";
  env = myconfig.env.websites.denisejerome;
in {
  options.myServices.websites.denisejerome.production.enable = lib.mkEnableOption "enable Denise Jerome's website";

  config = lib.mkIf cfg.enable {
    services.webstats.sites = [ { name = "denisejerome.piedsjaloux.fr"; } ];

    services.websites.env.production.vhostConfs.denisejerome = {
      certName     = "denisejerome";
      certMainHost = "denisejerome.piedsjaloux.fr";
      hosts        = ["denisejerome.piedsjaloux.fr" ];
      root         = varDir;
      extraConfig  = [
        ''
        Use Stats denisejerome.piedsjaloux.fr

        <Directory ${varDir}>
          DirectoryIndex index.htm index.html
          Options Indexes FollowSymLinks MultiViews Includes
          AllowOverride AuthConfig
          Require all granted
        </Directory>
          ''
      ];
    };
  };
}
